Release Clutter 1.11.4 (snapshot)
[profile/ivi/clutter.git] / autogen.sh
index c375d67..61c3b46 100755 (executable)
@@ -1,43 +1,49 @@
-#! /bin/sh
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
+olddir=`pwd`
+
+cd $srcdir
 PROJECT=Clutter
-TEST_TYPE=-d
-FILE=clutter
+TEST_TYPE=-f
+FILE=clutter/clutter.h
 
 test $TEST_TYPE $FILE || {
-        echo "You must run this script in the top-level $PROJECT directory"
-        exit 1
+       echo "You must run this script in the top-level $PROJECT directory"
+       exit 1
 }
 
+# GNU gettext automake support doesn't get along with git.
+# https://bugzilla.gnome.org/show_bug.cgi?id=661128
+touch -t 200001010000 po/clutter-1.0.pot
+
 GTKDOCIZE=`which gtkdocize`
 if test -z $GTKDOCIZE; then
-        echo "*** No gtk-doc support ***"
-        echo "EXTRA_DIST =" > gtk-doc.make
-else
-        gtkdocize || exit $?
-        # we need to patch gtk-doc.make to support pretty output with
-        # libtool 1.x.  Should be fixed in the next version of gtk-doc.
-        # To be more resilient with the various versions of gtk-doc one
-        # can find, just sed gkt-doc.make rather than patch it.
-        sed -e 's#) --mode=compile#) --tag=CC --mode=compile#' gtk-doc.make > gtk-doc.temp \
-                && mv gtk-doc.temp gtk-doc.make
-        sed -e 's#) --mode=link#) --tag=CC --mode=link#' gtk-doc.make > gtk-doc.temp \
-                && mv gtk-doc.temp gtk-doc.make
+        echo "*** No GTK-Doc found, please install it ***"
+        exit 1
 fi
 
 AUTORECONF=`which autoreconf`
 if test -z $AUTORECONF; then
-        echo "*** No autoreconf found ***"
+        echo "*** No autoreconf found, please install it ***"
         exit 1
-else
-        ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v --install || exit $?
 fi
 
-autopoint --force || exit $?
-
+# NOCONFIGURE is used by gnome-common
 if test -z "$NOCONFIGURE"; then
-        ./configure "$@" && echo "Now type 'make' to compile $PROJECT."
+        if test -z "$*"; then
+                echo "I am going to run ./configure with no arguments - if you wish "
+                echo "to pass any to it, please specify them on the $0 command line."
+        fi
 fi
+
+rm -rf autom4te.cache
+
+gtkdocize || exit $?
+autoreconf --force --install --verbose || exit $?
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"